> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bizmori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 프리사인드 URL 갱신

> 만료된 업로드 URL을 재발급합니다.
- `pending` 상태의 주문에서만 사용 가능




## OpenAPI

````yaml /ko/api-reference/openapi.yaml post /api/v2/orders/{orderId}/refresh-urls
openapi: 3.0.0
info:
  title: BIZ MORI API
  version: 2.0.0
  description: |
    BIZ MORI API는 디지털 콘텐츠 보호를 위한 네 가지 핵심 서비스를 제공합니다:
    - **Anti-AI**: 이미지를 AI 학습으로부터 보호
    - **Watermark Embed**: 이미지에 보이지 않는 디지털 워터마크 삽입
    - **Watermark Extract**: 이미지에서 워터마크 추출 및 검증
    - **AI Detection**: 이미지가 AI로 생성되었는지 감지
  contact:
    name: BIZ MORI 지원
    email: support@bizmori.com
servers:
  - url: https://api.bizmori.com
    description: 프로덕션
security: []
tags:
  - name: Anti-AI
    description: AI 학습 방지 이미지 보호 주문
  - name: Watermark Embed
    description: 워터마크 삽입 주문
  - name: Watermark Extract
    description: 워터마크 추출 주문
  - name: AI Detection
    description: AI 생성 이미지 감지 주문
  - name: Orders
    description: 주문 조회 및 관리
  - name: Webhooks
    description: 웹훅 설정 및 이벤트
paths:
  /api/v2/orders/{orderId}/refresh-urls:
    post:
      tags:
        - Orders
      summary: 프리사인드 URL 갱신
      description: |
        만료된 업로드 URL을 재발급합니다.
        - `pending` 상태의 주문에서만 사용 가능
      parameters:
        - in: path
          name: orderId
          required: true
          schema:
            type: string
          description: 주문 ID
      responses:
        '200':
          description: URL 갱신 성공
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      files:
                        type: array
                        items:
                          $ref: '#/components/schemas/OrderFile'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -X POST
            https://api.bizmori.com/api/v2/orders/ORDER_ID/refresh-urls \
              -H "Authorization: Bearer YOUR_API_TOKEN"
        - lang: javascript
          label: JavaScript
          source: |-
            const orderId = 'ORDER_ID';
            const response = await fetch(
              `https://api.bizmori.com/api/v2/orders/${orderId}/refresh-urls`,
              {
                method: 'POST',
                headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' }
              }
            );
            const data = await response.json();
        - lang: python
          label: Python
          source: |-
            import requests

            order_id = 'ORDER_ID'
            response = requests.post(
                f'https://api.bizmori.com/api/v2/orders/{order_id}/refresh-urls',
                headers={'Authorization': 'Bearer YOUR_API_TOKEN'}
            )
            data = response.json()
components:
  schemas:
    OrderFile:
      type: object
      properties:
        fileId:
          type: string
          description: 파일 ID
        fileName:
          type: string
          description: 파일 이름
        uploadUrl:
          type: string
          format: uri
          description: 업로드 URL (프리사인드 URL)
        fileKey:
          type: string
          description: S3 파일 키
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: 에러 코드
  responses:
    Unauthorized:
      description: 인증 실패
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
    NotFound:
      description: 리소스를 찾을 수 없음
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: RESOURCE_NOT_FOUND
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 외부 클라이언트 접근을 위한 API 키

````